# Interface methods for submodule: StreamingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: StreamingImageFilter
class StreamingImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfStreamDivisions(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfStreamDivisions(self) -> int:
		""""""
		...

	def SetRegionSplitter(self, _arg) -> None:
		""""""
		...

	def GetModifiableRegionSplitter(self):
		""""""
		...

	def GetRegionSplitter(self):
		""""""
		...

	def UpdateOutputData(self, output) -> None:
		""""""
		...

	def PropagateRequestedRegion(self, output) -> None:
		""""""
		...

